set term tikz color size 16cm,4.5cm
#set term tikz color size 6cm,5.5cm

set key top left samplen 2
set xlabel 'Objects'
set ylabel 'Suboptimality' offset 1
set output './egalitarian_add.tex'

plot './3agents_e.data' using 1:7   axes x1y1 title 'Worst case  $n=3$' with linespoints lc rgb 'blue', \
     './3agents_e.data' using 1:5:6 axes x1y1 title 'Conf interv $n=3$' with filledcurve lc rgb 'light-blue', \
     './3agents_e.data' using 1:4   axes x1y1 title 'Average     $n=3$' with lines lc rgb 'dark-blue',\
     './2agents_e.data' using 1:7   axes x1y1 title 'Worst case  $n=2$' with linespoints lc rgb 'red', \
     './2agents_e.data' using 1:5:6 axes x1y1 title 'Conf interv $n=2$' with filledcurve lc rgb 'light-salmon', \
     './2agents_e.data' using 1:4   axes x1y1 title 'Average     $n=2$' with lines lc rgb 'dark-red'

set key top right samplen 2
set output './egalitarian_mul.tex'

plot './3agents_e.data' using 1:11   axes x1y1 title 'Worst case  $n=3$' with linespoints lc rgb 'blue', \
     './3agents_e.data' using 1:9:10 axes x1y1 title 'Conf interv $n=3$' with filledcurve lc rgb 'light-blue', \
     './3agents_e.data' using 1:8    axes x1y1 title 'Average     $n=3$' with lines lc rgb 'dark-blue',\
     './2agents_e.data' using 1:11   axes x1y1 title 'Worst case  $n=2$' with linespoints lc rgb 'red', \
     './2agents_e.data' using 1:9:10 axes x1y1 title 'Conf interv $n=2$' with filledcurve lc rgb 'light-salmon', \
     './2agents_e.data' using 1:8    axes x1y1 title 'Average     $n=2$' with lines lc rgb 'dark-red'
