set term tikz color size 16cm,4.5cm
#set term tikz color size 6cm,5.5cm

set key top left samplen 2
set xlabel 'Objects'
set ylabel 'Suboptimality' offset 1
set output './utilitarian_add.tex'

plot './4agents_u.data' using 1:7 axes x1y1 title 'Worst case $n=4$' with lines lc rgb 'green', \
     './3agents_u.data' using 1:7 axes x1y1 title 'Worst case $n=3$' with lines lc rgb 'blue', \
     './2agents_u.data' using 1:7 axes x1y1 title 'Worst case $n=2$' with lines lc rgb 'red', \
     './4agents_u.data' using 1:4 axes x1y1 title 'Average    $n=4$' with lines lc rgb 'dark-green', \
     './3agents_u.data' using 1:4 axes x1y1 title 'Average    $n=3$' with lines lc rgb 'dark-blue', \
     './2agents_u.data' using 1:4 axes x1y1 title 'Average    $n=2$' with lines lc rgb 'dark-red'
     
set key top right samplen 2
set output './utilitarian_mul.tex'

plot './4agents_u.data' using 1:11 axes x1y1 title 'Worst case $n=4$' with lines lc rgb 'green', \
     './3agents_u.data' using 1:11 axes x1y1 title 'Worst case $n=3$' with lines lc rgb 'blue', \
     './2agents_u.data' using 1:11 axes x1y1 title 'Worst case $n=2$' with lines lc rgb 'red', \
     './4agents_u.data' using 1:8  axes x1y1 title 'Average    $n=4$' with lines lc rgb 'dark-green', \
     './3agents_u.data' using 1:8  axes x1y1 title 'Average    $n=3$' with lines lc rgb 'dark-blue', \
     './2agents_u.data' using 1:8  axes x1y1 title 'Average    $n=2$' with lines lc rgb 'dark-red'
     